Rename a view
curl --request PATCH \
--url https://api.withsplendor.com/v1/views/{view_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-splendor-tenant-id: <x-splendor-tenant-id>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.withsplendor.com/v1/views/{view_id}"
payload = { "name": "<string>" }
headers = {
"x-splendor-tenant-id": "<x-splendor-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-splendor-tenant-id': '<x-splendor-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.withsplendor.com/v1/views/{view_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2026-01-15T09:30:00Z",
"expires_at": "2026-01-15T09:30:00Z",
"from_search_id": "srch_8f2c",
"kind": "materialized",
"name": "Timeout errors",
"record_count": 1240,
"total": {
"relation": "eq",
"value": 1240
},
"view_id": "view_01H8Z3"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Views
Rename a view
Updates a view’s display name. The view’s records and query definition are unchanged.
PATCH
/
v1
/
views
/
{view_id}
Rename a view
Authorizations
API token issued from the Splendor console.
Headers
Selects the tenant (workspace) the request acts within.
Path Parameters
Body
application/json
Required string length:
1 - 255Response
Successful Response
The response is of type object.
⌘I